Get Post Actions for the selected RecordSet.
GET
/dataflows/{dataflowId}/recordsets/{recordSetId}/postactions
curl \
--request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/postactions' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
{
"_id": "56f2b4a821f04e0ea484dfd4",
"entityId": "5684058f159fffbe29ff9912",
"inputRecordSetId": "56f2b48b21f04e0ea484dfd3",
"actionType": "email",
"actionName": "email_me",
"version": "2.1",
"conditions": [
{
"conditionHelperCode": "",
"conditionExpression": "",
"action": {
"connectionId": "56f2b34ca70e0243a2d5846e",
"emailFrom": "support@gnosiz.com",
"emailTo": "user@example.com",
"emailCc": "",
"emailBcc": "",
"emailSubject": "hi",
"emailTemplate": "hi"
}
}
],
"type": "POST_ACTION",
"status": 1
}
]